# Fieldable Panels Panes

Provides a migration path from the Fieldable Panels Panes module on Drupal 7 to
custom block types on Drupal 8.

The migration yml files may be customized after they are initially created, e.g.
to create ECK entities instead of custom block entities.


## Migrating to ECK objects

Instead of creating customb block entities, the d7_fieldable_panels_pane
migration can be changed to create ECK objects instead:

    process:
      type: bundle
      id: fpid
      title: title
      uid: uid
      created: created
      changed: timestamp
      # Other field mappings go here..
    destination:
      plugin: 'entity:custom_data'
      translations: false
      default_bundle: organization


## Credits / contact

Currently maintained by [Damien
McKenna](https://www.drupal.org/u/damienmckenna). Drupal 7 module originally
written by [Earl Miles](https://www.drupal.org/u/merlinofchaos). Initial Drupal
8+ work by [Hendrik Grahl](https://www.drupal.org/u/grahl).

The best way to contact the authors is to submit an issue, be it a support
request, a feature request or a bug report, in the project issue queue:

- https://www.drupal.org/project/issues/fieldable_panels_panes
